package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmThird;
import org.springframework.stereotype.Component;

/**
 * 第三方用户表(ZccmThird)表服务接口
 *
 * @author java
 * @since 2020-06-17 17:29:30
 */

@Component
public interface ZccmThirdService {

    /**
     * 通过ID查询单条数据
     *
     * @param thirdId 主键
     * @return 实例对象
     */
    ZccmThird queryById(Integer thirdId);

    /**
     * 新增数据
     *
     * @param third 实例对象
     * @return 实例对象
     */
    ZccmThird insert(ZccmThird third);

    /**
     * 修改数据
     *
     * @param third 实例对象
     * @return 实例对象
     */
    ZccmThird update(ZccmThird third);

    /**
     * 通过主键删除数据
     *
     * @param thirdId 主键
     * @return 是否成功
     */
    Boolean deleteById(Integer thirdId);

    /**
     * 分页查询所有数据
     *
     * @param page 页码
     * @param size 每页大小
     * @return 实例对象数组
     */
    PageInfo queryPageAll(Integer page, Integer size);

}